/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.area.plot;

import java.util.Date;
import nl.cloudfarming.client.geoviewer.LayerProvider;
import org.openide.util.Lookup;
import org.openide.util.NbBundle;
import org.openide.util.lookup.AbstractLookup;
import org.openide.util.lookup.InstanceContent;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Timon Veenstra
 */
@ServiceProvider(service=LayerProvider.class)
public class PlotLayerProvider implements LayerProvider{

    private final InstanceContent lookupContent = new InstanceContent();
    private final Lookup lookup = new AbstractLookup(lookupContent);

    public PlotLayerProvider() {
        this.lookupContent.add(new PlotLayer(NbBundle.getMessage(this.getClass(), "plot.node.name")));
        this.lookupContent.add(new CulturesLayer(NbBundle.getMessage(this.getClass(), "cultures.node.name"),new Date()));

    }

    @Override
    public Lookup getLookup() {
        return this.lookup;
    }

}
